Summary: 	A mpc plugin for the Xfce panel
Summary(de):	Eine mpc Erweiterung für das Xfce-Panel
Name: 		xfce4-mpc-plugin
Version: 	0.5.2
Release: 	%mkrel 2
License:	GPLv2+
Group: 		Graphical desktop/XFCE
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-mpc-plugin
Source0: 	http://goodies.xfce.org/releases/xfce4-mpc-plugin/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	perl(XML::Parser)
BuildRequires:	pkgconfig(libmpdclient)

AutoReqProv: No
Provides:	%{name} = %{version}
Obsoletes:	%{name} < %{version}
Requires:	xfce4-panel >= 4.13
Requires:	mpd

BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is a simple Xfce panel client plugin for Music Player Daemon.

Features :
* send Play/Stop/Next/Previous command to MPD
* uses gtk-theme media icons (at least nuvola, tango and rodent themes provides
  these icons)
* decrease/increase volume using the mouse wheel
* show the current volume, status and title as a tooltip when passing the mouse
  over the plugin
* show a simple playlist window upon middle-click, permitting to select a track
  to play
* configurable MPD host/port/password
* toggles repeat/random features in the right-click menu
* launch configurable client (gmpc, xterm -e ncmpc,..) through right-click menu

#german
%description -l de
Dies ist ein einfaches Xfce-Panel-Client-Plugin für den Music Player Daemon. 

Eigenschaften: 
* sendet Play / Stop / Vor / Zurück-Befehl zu MPD 
* Verwendet gtk-Thema Mediensymbole (mindestens nuvola, Tango und Nagetier-Themen bieten 
   diese Symbole) 
* Verringert / erhöht die Lautstärke mit dem Mausrad 
* Zeigt die aktuelle Lautstärke, Status und Titel als Tooltip beim Überfahren der Maus 
   über das Plugin 
* Ein einfaches Wiedergabelisten-Fenster wird beim Klick auf die mittlere Maustaste gezeigen, 
  ermöglicht eine Spur auswählen und abzuspielen 
* Konfigurierbarer MPD Host / Port / Passwort 
* Schaltet Repeat / Random Funktionen im Kontextmenü 
* Ausführung konfigurierbarer Klienten (gmpc, xterm-e ncmpc, ..) durch ein Rechtsklickmenü

#french
%description -l fr
C'est un simple client Xfce panel plugin pour Music Player Daemon. 

Caractéristiques: 
* Envoyez-Play / Stop / Suivant / commande précédente pour MPD 
* Utilise des icônes gtk-theme médias (au moins Nuvola, le tango et fournit des thèmes de rongeurs 
   ces icônes) 
* Réduit / augmente le volume en utilisant la molette de la souris 
* Montrer le volume actuel, le statut et le titre comme une bulle d'aide lors du passage de la souris 
   sur le plugin 
* Afficher une fenêtre de playlist sur simple clic du milieu, permettant de sélectionner une piste 
   à jouer 
* Configurable MPD host / port / mot de passe 
* Bascule REPRISE / caractéristiques aléatoires dans le menu clic-droit 
* Lancer le client configurable (gmpc, xterm-e ncmpc, ..) par un clic droit sur le menu

#spanish
%description -l es
Este es un simple cliente de Xfce panel de plug-in para Music Player Daemon. 

Características: 
* Enviar Play / Stop / Next / orden anterior a MPD 
* Utiliza iconos tema gtk-medios de comunicación (por lo menos Nuvola, el tango y temas de roedores proporciona 
   estos iconos) 
* Disminución / aumento de volumen con la rueda del ratón 
* Mostrar el volumen actual, el estado y el título como un tooltip al pasar el ratón 
   sobre el plugin 
* Mostrar una ventana de reproducción sencillas en medio clic, que permite seleccionar una pista de 
   a jugar 
* Huésped MPD configurable / puerto / contraseña 
* Cambia repetir / características de azar en la derecha, haga clic en el menú 
* Lanzamiento de cliente configurable (GMPc, xterm-e ncmpc, ..) a través de la derecha, haga clic en el menú

#polish
%description -l pl
This is a simple Xfce panel client plugin for Music Player Daemon.

#serbian
%description -l sr
Ово је једноставна Ксфце панелу клијента плугин за Музички плејер даемон. 

Избор: 
* Пошаљите Пусти / Заустави / Следећа / Претходна команда МФД 
* Користи Гтк-тема икона медији (барем Нувола, Танго и глодара теме обезбеђује 
   Ових икона) 
* Смањење / повећање обима користећи точкић миша 
* Показују тренутни обим, статус и титулу Тоолтип приликом доношења миша 
   преко додатак 
* Показују једноставан прозор нумера на средњи клик, дозвољава да бисте изабрали нумеру 
   играти 
* Конфигурабилан МФД домаћин / порта / лозинке 
* Укључује поновите / случајних функција у кликните десним тастером менија 
* Покретање конфигурисати клијента (гмпц, Цонтент-Трансфер-Е нцмпц, ..) преко десни-клик менија

#dutch
%description -l nl
Dit is een eenvoudige Xfce panel client plugin voor Music Player Daemon. 

Kenmerken: 
* Stuur Play / Stop / Volgende / vorige commando om MPD 
* Gebruik gtk-theme media-iconen (minstens Nuvola, tango en knaagdieren thema's bepaald 
   deze pictogrammen) 
* Afname / toename van het volume met het muiswiel 
* Laat de huidige omvang, status en titel als een tooltip bij het passeren van de muis 
   over de plugin 
* Een eenvoudig afspeellijstvenster op midden-klik, waardoor het selecteren van een track 
   spelen 
* Configureerbaar MPD gastheer / poort / wachtwoord 
* Schakelt repeat / random functies in het snelmenu 
* Lancering configureerbare client (gmpc, xterm-e ncmpc, ..) via rechts-klik menu

%prep
%setup -q -n %{name}-%{version}
sed -i s/"git])"/"])"/g configure.ac.in

./autogen.sh --disable-debug --enable-maintainer-mode


%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
#find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%doc ChangeLog AUTHORS README
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/plugins/xfce4-mpc-plugin.desktop
%{_datadir}/locale/*

%changelog
* Sun Sep 04 2022 tex - 0.5.2-2pclos2022
- rebuild against updates

* Wed Aug 14 2019 onkelho <oh.quait at gmail.com> - 0.5.2-1pclos2019
- new release xfce-4.14

* Mon Jul 29 2019 onkelho <oh.quait at gmail.com> - 0.5.1-3pclos2019
- new ver-rel 4.14pre3

* Tue May 21 2019 onkelho <oh.quait at gmail.com> 0.5.1-2pclos2019
- rebuild for -pre-rel 4.14.pre1

* Mon Jan 28 2019 onkelho <oh.quait at gmail.com> 0.5.1-1pclos2019
- new ver-rel

* Thu Nov 01 2018 onkelho <oh.quait at gmail.com> 0.5.0-9pclos2018
- rebuild - I18n: Update translation ca
- Preferences: Improve spacing (bug #14671)

* Wed Oct 12 2018 onkelho <oh.quait at gmail.com> 0.5.0-8pclos2018
- rebuild 

* Fri Jul 27 2018 onkelho <oh.quait at gmail.com> 0.5.0-7pclos2018
- rebuild

* Tue Mar 06 2018 onkelho <oh.quait at gmail.com> 0.5.0-6pclos2018
- rebuild

* Sat Sep 23 2017 onkelho <oh.quait at gmail.com> 0.5.0-5pclos2017
- new release --gtk3 --many i18updates

* Mon Dec 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.5.0-1pclos2017
- 0.5.0

* Sat Jul 30 2016 ghostbunny <ghostbunny at gmx dot de> 0.4.99-1pclos2016
- 0.4.99

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 0.4.5-1pclos2015
- 0.4.5
- replace BR libxfcegui4 by libxfce4ui
- add missing BRs libxfce4util-devel and exo-devel

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.4.4-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.4.4-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 0.4.4-1pclos2012
- 0.4.4
- added/fixed german summary and description
- fixed files section

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.3.6-1pclos2012
- update

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 0.3.3-3pclos2009
- gcc update

* Thu Sep 24 2009 Texstar <texstar@gmail.com> 0.3.3-2pclos2009
- fix dependency 

* Tue Jun 23 2009 johnnyblack <johnnyblack@inbox.com> 0.3.3-1pclos2009
- create

